Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Class ASTException

    java.lang.Object
      org.jboss.aop.pointcut.ast.SimpleNode
          org.jboss.aop.pointcut.ast.ASTException

All Implemented Interfaces:
  Node

public class ASTException
extends SimpleNode

Field Summary

Fields inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTException(int id)`
`ASTException(PointcutExpressionParser p, int id)`

Method Summary
`ClassExpression` | `getType()`
`String` | `getTypeExpression()`
`Object` | `jjtAccept(PointcutExpressionParserVisitor visitor, Object data)` Accept the visitor.
`void` | `setTypeExpression(String expression)`
`String` | `toString()`

Methods inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`childrenAccept, childrenAccept, dump, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTException

    public ASTException(int id)

### ASTException

    public ASTException(PointcutExpressionParser p,
                        int id)

Method Detail

### jjtAccept

    public Object jjtAccept(PointcutExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### setTypeExpression

    public void setTypeExpression(String expression)

### getTypeExpression

    public String getTypeExpression()

### getType

    public ClassExpression getType()

### toString

    public String toString()

  Overrides:
    `toString` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.